% $Id: jpslexample.cls 2680 2010-05-02 17:18:26Z michalr $

% Jako zklad pout amsart.cls.
\NeedsTeXFormat{LaTeX2e}
\RequirePackage[notoday,nofancy]{svninfo}
\svnInfo $Id: jpslexample.cls 2680 2010-05-02 17:18:26Z michalr $
\def\versioninfo#1-#2-#3{#1/#2/#3}
\ProvidesClass{jpslexample}[\expandafter\versioninfo%
    \svnInfoDate\space r\svnInfoRevision]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{amsart}}
\ProcessOptions
\LoadClass{amsart}

% Definice \lastpage pes \jobname.aux.
\ifx\lastpage\@empty\else\let\lastpage\@empty\fi
\AtEndDocument{\clearpage%
    \addtocounter{page}{-1}%
    \immediate\write\@auxout{\string\gdef\string\lastpage{\thepage}}%
    \addtocounter{page}{1}}

% Definice \start pro vloen hlaviky.
\newcommand{\start}[2]{
    \setcounter{page}{#1}
    \begin{center}
        Journal Processing System Light Example\\
        #1--\lastpage
    \end{center}
    \vspace{3em}}

\endinput
